Bug 616732 - SELinux is preventing /usr/bin/perl "execute" access on /usr/sbin/exim.
SELinux is preventing /usr/bin/perl "execute" access on /usr/sbin/exim.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:719e542d184...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-21 05:49 EDT by Frank Murphy
Modified: 2010-08-04 21:46 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-21 08:48:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Murphy 2010-07-21 05:49:27 EDT
Summary:

SELinux is preventing /usr/bin/perl "execute" access on /usr/sbin/exim.

Detailed Description:

SELinux denied access requested by logwatch. It is not expected that this access
is required by logwatch and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:logwatch_t:s0-s0:c0.c1023
Target Context                system_u:object_r:exim_exec_t:s0
Target Objects                /usr/sbin/exim [ file ]
Source                        logwatch
Source Path                   /usr/bin/perl
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           perl-5.12.1-128.fc14
Target RPM Packages           exim-4.71-4.fc14
Policy RPM                    selinux-policy-3.8.7-3.fc14
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.35-0.47.rc5.git2.fc14.x86_64 #1 SMP Sun Jul 18
                              14:04:24 UTC 2010 x86_64 x86_64
Alert Count                   2
First Seen                    Tue 20 Jul 2010 14:40:04 IST
Last Seen                     Wed 21 Jul 2010 03:07:05 IST
Local ID                      89f576be-2491-47d2-a98d-1c3832cdb9e6
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1279678025.537:25966): avc:  denied  { execute } for  pid=8922 comm="logwatch" name="exim" dev=dm-3 ino=54641 scontext=system_u:system_r:logwatch_t:s0-s0:c0.c1023 tcontext=system_u:object_r:exim_exec_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1279678025.537:25966): arch=c000003e syscall=59 success=no exit=-13 a0=7fffe19edef4 a1=2a1bab0 a2=2a27c20 a3=39864841f0 items=0 ppid=8874 pid=8922 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=20 comm="logwatch" exe="/usr/bin/perl" subj=system_u:system_r:logwatch_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,logwatch,logwatch_t,exim_exec_t,file,execute
audit2allow suggests:

#============= logwatch_t ==============
allow logwatch_t exim_exec_t:file execute;
Comment 1 Frank Murphy 2010-07-21 05:50:28 EDT
Happens after a reboot.
Comment 2 Daniel Walsh 2010-07-21 08:48:22 EDT
Fixed in selinux-policy-3.8.8-2.fc14
Comment 3 Joe Christy 2010-07-31 13:31:37 EDT
Any chance of getting this fixed in F13?
Comment 4 Daniel Walsh 2010-08-03 13:58:00 EDT
I think it is in selinux-policy-3.7.19-42.fc13
Comment 5 Miroslav Grepl 2010-08-04 03:36:34 EDT
(In reply to comment #4)
> I think it is in selinux-policy-3.7.19-42.fc13    

Yes, it is.

Note You need to log in before you can comment on or make changes to this bug.